<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\KursUebersicht\Detailsreiter\Termine\SmsKursort;

class SendSmsKursortView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'mitarbeiter/kursuebersicht/detailsreiter/smskursort_versandt.sgt';
  }

  protected function getDefaultExportAdaper()
  {
    return new \ExpKurstage();
  }

  protected function getDefaultDataModulArray()
  {
    $this->viewModel->kursTag->sms_status = $this->viewModel->statusCode;

    return array($this->viewModel->kursTag);
  }
}

class SendSmsKursortViewModel
{
  public $kursTag;
  public $statusCode;
}